# Class AuthenticationRoutingService

- Defined in lib/authentication-routing.service.ts:14

#####
Index

### Constructors

constructor

### Properties

authenticationService
deactivated
router

## Constructors

### constructor

- new AuthenticationRoutingService(router, authenticationService, deactivated?): AuthenticationRoutingService

- #### Parameters

  - router: Router
  - authenticationService: RxapAuthenticationService
  - deactivated: boolean = null

  #### Returns AuthenticationRoutingService

  - Defined in lib/authentication-routing.service.ts:16

## Properties

### `Private` `Readonly` authenticationService

authenticationService: RxapAuthenticationService

- Defined in lib/authentication-routing.service.ts:20

### `Private` `Readonly` deactivated

deactivated: boolean = null

- Defined in lib/authentication-routing.service.ts:23

### `Private` `Readonly` router

router: Router

- Defined in lib/authentication-routing.service.ts:18